<%@page session="true" import="com.edeal.frontline.*,java.util.*"%>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<jsp:useBean class="com.edeal.frontline.EnterpriseBean" id="Enterprise" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String EntID = null;
try {
	EntID = Enterprise.getEntID();
}catch (FieldNotInitializedException e){}

String entCorpName = null;
String entAd1 = null;
String entAd2 = null;
String entAd3 = null;
String EntZip = null;
String entCity = null;
String entCtrID = null;
String entCtrStr = null;
String entActID = null;
String entPosID = null;
String entPosStr = null;
String entPhone = null;
String entFax = null;
String entWeb = null;
String entOriID = null;
int entTurnOver = Integer.MIN_VALUE;
try{
	entCorpName = Enterprise.getEntCorpName();
}catch (FieldNotInitializedException e){}
try{
	entAd1 = Enterprise.getEntAd1();
}catch (FieldNotInitializedException e){}
try{
	entAd2 = Enterprise.getEntAd2();
}catch (FieldNotInitializedException e){}
try{
	entAd3 = Enterprise.getEntAd3();
}catch (FieldNotInitializedException e){}
try{
	EntZip = Enterprise.getEntZip();
}catch (FieldNotInitializedException e){}
try{
	entPhone = Enterprise.getEntPhone();
}catch (FieldNotInitializedException e){}
try{
	entFax = Enterprise.getEntFax();
}catch (FieldNotInitializedException e){}
try{
	entWeb = Enterprise.getEntWeb();
}catch (FieldNotInitializedException e){}
try{
	entActID = Enterprise.getEntActID();	
}catch (FieldNotInitializedException e){}
try{
	entCity = Enterprise.getEntCity();
}catch (FieldNotInitializedException e){}

try{
	entCtrID = Enterprise.getEntCtrID();
	entCtrStr = (String) dico.getRefDisp("EntCtrID", entCtrID);
}catch (FieldNotInitializedException e){}
String entAtvID = null;
String entAtvStr = null;
try{
	entAtvID = Enterprise.getEntAtvID();
	entAtvStr = (String) dico.getRefDisp("EntAtvID", entAtvID);
}catch (FieldNotInitializedException e){}

try{
	entTurnOver = Enterprise.getEntTurnOver();
}catch (FieldNotInitializedException e){}
try{
	entWeb = Enterprise.getEntWeb();
	if (entWeb != null && !entWeb.startsWith("http://") && !entWeb.startsWith("https://")) {
		entWeb = "http://"+entWeb;
	}
}catch (FieldNotInitializedException e){}
try{
	 entPosID = Enterprise.getEntPosID();
	 entPosStr = (String)dico.getRefDisp("EntPosID", entPosID);
}catch (FieldNotInitializedException e){}

try{
 	entOriID = Enterprise.getEntOriID();
}catch (FieldNotInitializedException e){}

boolean hasAd = (entAd1 != null) || (entAd2 != null) || (entAd3 != null);

//liste des personnes de l'entreprise
String[] fields = new String[]{"PerID","PerEntID","PerFstName","PerName","PerFctID","PerMobile","PerPhone","PerMail"};
String[][] query = new String[][]{{"PerEntID = "+Utils.formatToSQL(context,EntID.trim())}};
Vector perlist;
try{
	perlist = PersonBean.listSummary(context,fields,query);
}catch(Exception e){
	perlist = new Vector();
}

%>
<HTML>
	<HEAD>
		<title><fl:getMessage code="L30A2" alt="Liste des entreprises"/></title>
		<LINK href="<fl:webapp/>/edealMobile/css/css.css" rel="stylesheet" type="text/css">
		<meta name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
	</HEAD>
	<BODY>
		<jsp:include page="/edealMobile/menu.jsp">
			<jsp:param name="URLDISP" value="ENTDISP"/>
		</jsp:include>
		<DIV class="result">
			<table border="0" cellpadding="0" cellspacing="0">
					<TR>
						<td>
							<h1 class="title"><%= entCorpName != null ? Utils.formatToWeb(entCorpName,false) : "" %></h1>
						</td>
					</TR>
					<TR valign="top">
						<td>
							<% if(entAd1 != null || entAd2 != null || entAd3 != null || EntZip != null || entCtrID != null){%>
								<a href="http://maps.google.com/maps?q=<%= ( entAd1 != null ? entAd1 + " " : "" )%><%= ( entAd2 != null ? entAd2 + " " : "" )%><%= ( entAd3 != null ? entAd3 + " " : "" )%><%= ( EntZip != null ? EntZip + " " : "" )%><%= ( entCity != null ? entCity + " " : "" )%>">
									<%= entAd1 != null ? Utils.formatToWeb(entAd1,false) : ""%>
									<%= entAd2 != null ? Utils.formatToWeb(entAd2,false) : ""%>
									<%= entAd3 != null ? Utils.formatToWeb(entAd1,false) : ""%>
									<%= hasAd ? "<br/>" : ""%>
									<%= EntZip != null ? Utils.formatToWeb(EntZip,false) : ""%>
									<%= entCity != null ? Utils.formatToWeb(entCity,false) : ""%>
									<%= EntZip == null && entCity == null ? "" : "<br/>"%>
									<%= entCtrStr != null ? Utils.formatToWeb(entCtrStr,false) : ""%>
								</a><br/>
							<% } %>
							<% if(entPhone != null){ %>
								<fl:getMessage code="L70BD" alt="T."/> <%= Utils.formatPhoneToMobile(entPhone,session)%><br/>
							<% } if(entFax != null){ %>
								<fl:getMessage code="FFFFX" alt="F."/> <%= Utils.formatToWeb(entFax,false)%><br/>
							<% } if(entWeb != null){ %>
								<a href="<%= Utils.formatToWeb(entWeb,false)%>" ><%= Utils.formatToWeb(entWeb,false)%></a>
							<% } %>
						</td>
					</TR>
				</table>
		</DIV>
		<DIV class="result">
			<table>
				<% if(entActID != null){ %>
				<tr>
					<td>
					<span class="label"><fl:getMessage code="LFFFF" alt="Commercial :"/></span>
					<span class="important"><fl:getProperty name="Enterprise" property="EntActID" alt="" bean="true" href="true" disp="readm_actor.fl"/></span>
					</td>
				</tr>
				
				<% }if(entAtvStr != null){ %>
				<TR>
					<td><span class="label"><fl:getMessage code="LFFFF" alt="Activit :"/></span>
					<span class="important"><%= Utils.formatToWeb(entAtvStr,false)%></span></td>
				</TR>
				
				<% }if(entTurnOver != Integer.MIN_VALUE){ %>
				<TR>
					<td><span class="label"><fl:getMessage code="L61CC" alt="CA"/> :</span>			
					<span class="important"><fl:getProperty name="Enterprise" property="EntTurnOver" alt="&nbsp;" format="int" postText=" K&euro;"/></span></td>
				</TR>
				<% }if(entPosStr != null ){%>
				<tr>
					<td><span class="label"><fl:getMessage code="LFFFF" alt="Position :"/></span>
					<span class="important"><%= Utils.formatToWeb(entPosStr,false)%></span></td>
				</tr>
				<% } if(entOriID != null ){%>
					<td>
						<span class="label"><fl:getMessage code="F202A" alt="Origine"/>&nbsp;:</span>
						<span class="important"><fl:getProperty name="Enterprise" property="EntOriID" alt="&nbsp;"/></span>
					</td>
				<% } %>
				
			</table>
		</DIV>
		<% if(perlist != null && !perlist.isEmpty()){ %>
		<DIV class="resultset">
			<TABLE class="embeded">
				<TR><td><h1 class="title"><fl:getMessage code="L6207" alt="Personnes"/></h1></td></TR>
		<%
				for(int i=0; i<perlist.size() ; i++){
					Hashtable row = (Hashtable) perlist.elementAt(i);
						String perID = (String)row.get("PerID");
						String fstName = (String)row.get("PerFstName");
						String name = (String)row.get("PerName");
						String perMail = (String)row.get("PerMail");
						String perPhone = (String)row.get("PerPhone");
						String perMobile = (String)row.get("PerMobile");
						String perFctID = (String)row.get("PerFctID");
						String function = null;
						if(perFctID != null){
							function = (String)dico.getRefDisp(session, "Fct","Te2",perFctID);
							if(function == null) function = (String)dico.getRefDisp(session, "Fct","Te1",perFctID);
						}
						String displayName = "";
						if(fstName != null) displayName += Utils.formatToWeb(fstName,false) + " ";
						if(name != null)  displayName += Utils.formatToWeb(name,false);
		%>
			<tr valign="top">
				<td width="60%">
					> <a href="<fl:webapp/>/readm_person.fl?id=<%= perID%>"><%= displayName%></a><br/>
					<%= (function != null) ? Utils.formatToWeb(function, false)+"<br/>" : "" %>
					<%if(perPhone != null){ %>
					<fl:getMessage code="L70BD" alt="T."/>
					<%= Utils.formatPhoneToMobile(perPhone,session)%><br/>
					<%}if(perMobile != null){%>
					<fl:getMessage code="L70BE" alt="M."/>
					<%= Utils.formatPhoneToMobile(perMobile,session)%><br/>
					<% }if(perMail != null){%>
						<a href="mailto:<%= Utils.formatToWeb(perMail,false)%>">
							<%= Utils.formatToWeb(perMail,false)%>
						</a><br/>
					<% } %>
				</td>
			</tr>
		
		<% } %>
			
		
		<% } %>	
		</TABLE>
		</DIV>
		<jsp:include page="/edealMobile/opportunity/opp_list.jsp" flush="true">
			<jsp:param name="nb" value="3"/>
			<jsp:param name="EntID" value="<%= EntID %>"/>
		</jsp:include>
		<jsp:include page="/edealMobile/agenda/int_list.jsp" flush="true">
			<jsp:param name="nb" value="3"/>
			<jsp:param name="EntID" value="<%= EntID %>"/>
		</jsp:include>
		<jsp:include page="/edealMobile/footer.jsp"/>
	</BODY>
</HTML>
